OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::ImageSaver Class Reference

`#include <imageSaver.hpp>`

Inherits op::FileSaver.

## Public Member Functions
| ImageSaver (const std::string &directoryPath, const std::string &imageFormat)
virtual | ~ImageSaver ()
void | saveImages (const std::vector< cv::Mat > &cvOutputDatas, const std::string &fileName) const

## Additional Inherited Members
Protected Member Functions inherited from op::FileSaver
| FileSaver (const std::string &directoryPath)
virtual | ~FileSaver ()
std::string | getNextFileName (const unsigned long long index) const
std::string | getNextFileName (const std::string &fileNameNoExtension) const

## Constructor & Destructor Documentation

op::ImageSaver::ImageSaver | ( | const std::string & | directoryPath,
|  | const std::string & | imageFormat
| ) |  |

virtual op::ImageSaver::~ImageSaver | ( |  | ) |
| virtual

## Member Function Documentation

void op::ImageSaver::saveImages | ( | const std::vector< cv::Mat > & | cvOutputDatas,
|  | const std::string & | fileName
| ) |  | const

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/filestream/imageSaver.hpp